Subject: Re: [TLS] (offline) Re: Draft for SM cipher suites used in TLS1.3

From: Paul Yang <[email-masked]>
Date: Tue, 3 Sep 2019 14:45:34 +0800

Hi there,

I just found an English version of SM4 specification translated by Whitfield Diffie when he was working at Sun Microsystem. Posted that file at:

https://github.com/alipay/tls13-sm-spec/raw/master/sm-en-pdfs/sm4/diffie-sm4.pdf <https://github.com/alipay/tls13-sm-spec/raw/master/sm-en-pdfs/sm4/diffie-sm4.pdf>

This could be use as a reference as well.

Thanks

> On Aug 23, 2019, at 12:08 AM, Paul Yang <kaishen.yy=[email-masked]> wrote:
> 
> Signed PGP part
> Hi there,
> 
> Just to keep the it consistent with what previous email said - the Markdown file of the draft has been pushed to the repo:
> 
> https://github.com/alipay/tls13-sm-spec <https://github.com/alipay/tls13-sm-spec>
> 
> Please check:
> 
> https://github.com/alipay/tls13-sm-spec/blob/master/BUILD.md <https://github.com/alipay/tls13-sm-spec/blob/master/BUILD.md>
> 
> for detailed information.
> 
> Thanks.
> 
>> On Aug 19, 2019, at 10:57 PM, Blumenthal, Uri - 0553 - MITLL <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> >  A side note: we will also upload the Markdown file of this draft into the same git
>>         >  repository at https://github.com/alipay/tls13-sm-spec <https://github.com/alipay/tls13-sm-spec> later to make it a totally
>>         >  public involved progress.
>> 
>> I think this is exactly what was needed/asked-for. Thank you!
>> 
>> 
>>> On Aug 19, 2019, at 7:51 PM, Kepeng Li <[email-masked] <mailto:[email-masked]>> wrote:
>>> 
>>> Currently, we uploaded some of the referenced documents here:
>>> https://github.com/alipay/tls13-sm-spec <https://github.com/alipay/tls13-sm-spec>
>>> 
>>> @Rene, Parts 1 and 3 can be found in the link above.
>>> 
>>> Hope it helps.
>>> 
>>> Thanks,
>>> 
>>> Kind Regards
>>> Kepeng
>>> 
>>>> ------------------------------------------------------------------
>>>> 发件人：李克鹏(易深) <[email-masked] <mailto:[email-masked]>>
>>>> 发送时间：2019年8月19日(星期一) 17:38
>>>> 收件人：sean+ietf <[email-masked] <mailto:[email-masked]>>; joe <[email-masked] <mailto:[email-masked]>>; caw <[email-masked] <mailto:[email-masked]>>
>>>> 抄　送：[email-masked] <mailto:[email-masked]> <[email-masked] <mailto:[email-masked]>>; "Blumenthal, Uri - 0553 - MITLL" <[email-masked] <mailto:[email-masked]>>; Paul Yang <kaishen.yy=[email-masked] <mailto:kaishen.yy=[email-masked]>>
>>>> 主　题：Re: [TLS] (offline) Re: Draft for SM cipher suites used in TLS1.3
>>>> 
>>>> Hi WG chairs,
>>>> 
>>>> Can we place the referenced documents in the TLS WG GitHub?
>>>> https://github.com/tlswg <https://github.com/tlswg>
>>>> 
>>>> According to the discussion below, this can help people to read and understand the referenced specifications.
>>>> 
>>>> Thanks,
>>>> 
>>>> Kind Regards
>>>> Kepeng
>>>> 
>>>> 发件人: TLS <[email-masked] <mailto:[email-masked]>> 代表 "Blumenthal, Uri - 0553 - MITLL" <[email-masked] <mailto:[email-masked]>>
>>>> 日期: 2019年8月18日 星期日 22:08
>>>> 收件人: Paul Yang <kaishen.yy=[email-masked] <mailto:kaishen.yy=[email-masked]>>
>>>> 抄送: "[email-masked] <mailto:[email-masked]>" <[email-masked] <mailto:[email-masked]>>
>>>> 主题: Re: [TLS] (offline) Re: Draft for SM cipher suites used in TLS1.3
>>>> 
>>>> IMHO, placing the documents on GitHub would be perfect, and quite sufficient.
>>>> 
>>>> Please make sure to post the name of the repo here. ;/)
>>>> 
>>>> I leave it to others to decide whether they'd want copies of today PDF files sent to the mailing list directly.
>>>> 
>>>> Regards,
>>>> Uri
>>>> 
>>>> Sent from my iPhone
>>>> 
>>>> On Aug 17, 2019, at 01:03, Paul Yang <kaishen.yy=[email-masked] <mailto:kaishen.yy=[email-masked]>> wrote:
>>>> 
>>>> Good points.
>>>> 
>>>> The good news is that we have found some English PDFs of SM2, including the missing part 1 and part 3. Will continue to find English translations of other SM standards mentioned in the draft.
>>>> 
>>>> So, if we host a free website, say on Github or so, to provide those docs, is it convenient for you guys? Or should we just drop the   PDF files to this mailing list as attachments?
>>>> 
>>>> 
>>>> On Aug 16, 2019, at 10:58 PM, Rene Struik <[email-masked] <mailto:[email-masked]>> wrote:
>>>> 
>>>> Arguably, "national" crypto specifications garnish more stature if these are made available to the pubic by that standard-setting body itself (who, thereby, acts as its authoritative source), without deference to a third party (that may, independently from the originator, enforce document control [e.g., by effectuating technical changes or enforcing controlled dissemination]).
>>>> 
>>>> Since your draft introducing SM cipher suites with TLS1.3 appeals to the authority of a standard-setting authority, easy availability of the full and accredited technical documentation to the IETF community helps in scrutiny and, e.g., evaluating claims in the security considerations section.
>>>> 
>>>> On 8/16/2019 3:06 AM, Kepeng Li wrote:
>>>> Hi Rene and all,
>>>> 
>>>> > Since the ISO documents are not available to the general
>>>> > public without payment, it would be helpful to have a freely available
>>>> > document (in English) from an authoritative source. Having such a
>>>> > reference available would be helpful to the IETF community (and
>>>> > researchers).
>>>> About the references to ISO documens, I think it is a general issue for IETF drafts.
>>>> 
>>>> How does the other IETF drafts make the references to ISO documents? ISO documents are often referenced by IETF drafts.
>>>> 
>>>> Thanks,
>>>> 
>>>> Kind Regards
>>>> Kepeng
>>>> ——————————————————————————————————————————————————————————————————
>>>> Re: [TLS] Draft for SM cipher suites used in TLS1.3
>>>> 
>>>> Rene Struik <[email-masked] <mailto:[email-masked]>> Thu, 15 August 2019 15:34 UTCShow header <https://mailarchive.ietf.org/arch/browse/tls/?index=NHbHOGtsR1S5cCr9nWN9_sdyTgg&gbt=1>
>>>> Hi Paul:
>>>> 
>>>> I tried and look up the documents GMT.0009-2012 and GBT.32918.5-2016 on
>>>> the (non-secured) websites you referenced, but only found Chinese
>>>> versions (and Chinese website navigation panels [pardon my poor language
>>>> skills here]). Since the ISO documents are not available to the general
>>>> public without payment, it would be helpful to have a freely available
>>>> document (in English) from an authoritative source. Having such a
>>>> reference available would be helpful to the IETF community (and
>>>> researchers). Please note that BSI provides its specifications in German
>>>> and English, so as to foster use/study by the community. If the Chinese
>>>> national algorithms would be available in similar form, this would serve
>>>> a similar purpose.
>>>> 
>>>> FYI - I am interested in full details and some time last year I tried to
>>>> download specs, but only Parts 2, 4, and 5 were available [1], [2], [3],
>>>> not Parts 1 and 3.
>>>> 
>>>> Best regards, Rene
>>>> 
>>>> [1] China ECC - Public Key Cryptographic Algorithm SM2 Based on ECC -
>>>> Part 5 - Parameter Definition (SEMB, July 24, 2018)
>>>> [2] China ECC - Public Key Cryptographic Algorithm SM2 Based on ECC -
>>>> Part 2 - Digital Signature Algorithm (SEMB, July 24, 2018)
>>>> [3] China ECC - Public Key Cryptographic Algorithm SM2 Based on ECC -
>>>> Part 4 - Public Key Encryption Algorithm (SEMB, July 24, 2018)
>>>> 
>>>> On 8/15/2019 10:16 AM, Paul Yang wrote:
>>>> > Hi all,
>>>> >
>>>> > I have submitted a new internet draft to introduce the SM cipher
>>>> > suites into TLS 1.3 protocol.
>>>> >
>>>> > https://tools.ietf.org/html/draft-yang-tls-tls13-sm-suites-00 <https://tools.ietf.org/html/draft-yang-tls-tls13-sm-suites-00>
>>>> >
>>>> > SM cryptographic algorithms are originally a set of Chinese national
>>>> > algorithms and now have been (or being) accepted by ISO as
>>>> > international standards, including SM2 signature algorithm, SM3 hash
>>>> > function and SM4 block cipher. These algorithms have already been
>>>> > supported some time ago by several widely used open source
>>>> > cryptographic libraries including OpenSSL, BouncyCastle, Botan, etc.
>>>> >
>>>> > Considering TLS1.3 is being gradually adopted in China's internet
>>>> > industry, it's important to have a normative definition on how to use
>>>> > the SM algorithms with TLS1.3, especially for the mobile internet
>>>> > scenario. Ant Financial is the company who develops the market leading
>>>> > mobile app 'Alipay' and supports payment services for Alibaba
>>>> > e-commerce business. We highly are depending on the new TLS1.3
>>>> > protocol for both performance and security purposes. We expect to have
>>>> > more deployment of TLS1.3 capable applications in China's internet
>>>> > industry by this standardization attempts.
>>>> >
>>>> > It's very appreciated to have comments from the IETF TLS list :-)
>>>> >
>>>> > Many thanks!
>>>> >
>>>> > _______________________________________________
>>>> > TLS mailing list
>>>> > [email-masked] <mailto:[email-masked]>
>>>> > https://www.ietf.org/mailman/listinfo/tls <https://www.ietf.org/mailman/listinfo/tls>
>>>> 
>>>> 
>>>> --
>>>> email: [email-masked] <mailto:[email-masked]> | Skype: rstruik
>>>> cell: +1 (647) 867-5658 | US: +1 (415) 690-7363
>>>> _______________________________________________
>>>> TLS mailing list
>>>> [email-masked] <mailto:[email-masked]>
>>>> https://www.ietf.org/mailman/listinfo/tls <https://www.ietf.org/mailman/listinfo/tls>
>>>> 
>>>> 
>>>> Regards,
>>>> 
>>>> Paul Yang
>>>> 
>>>> _______________________________________________
>>>> TLS mailing list
>>>> [email-masked] <mailto:[email-masked]>
>>>> https://www.ietf.org/mailman/listinfo/tls <https://www.ietf.org/mailman/listinfo/tls>
>>>> _______________________________________________ TLS mailing list [email-masked] <mailto:[email-masked]> https://www.ietf.org/mailman/listinfo/tls <https://www.ietf.org/mailman/listinfo/tls>
>> 
>> 
>> Regards,
>> 
>> Paul Yang
> 
> 
> Regards,
> 
> Paul Yang
> 
> 
> 

Regards,

Paul Yang